SELECT c.customerNumber,c.customerName, o.status, o.orderNumber,p.orderPaidAmount
FROM customers c 
LEFT JOIN orders o 
   ON c.customerNumber=o.customerNumber
LEFT JOIN
  ( SELECT customerNumber, sum(amount) as orderPaidAmount
    FROM payments GROUP BY 1
  ) as p
  ON c.customerNumber=p.customerNumber 
WHERE 
	 p.orderPaidAmount > 150000 AND o.status = 'Shipped';